#!/usr/bin/env ruby
#
#############################################################
#
# author:  mathias gumz
# date  :  Fr 31 Okt 2003 11:08:09 CET
# file  :  mozilla
# about :
#
#############################################################
#
# rbookmark-import filter for mozilla
#

module RBookmarkImport

def import(input, parent)
  input.readlines.each do |line|
    case line
    when /^.*<DT><A.*HREF=\"(.*)\" ADD.*>(.*)<\/A>/
      parent.uris << Uri.new($1, $2)
    when /^.*<\/DL>/
      parent= parent.parent
    when /^.*<DT><H3.*>(.*)<\/H3>/
      parent.folders << Folder.new($1, parent, parent.level + 1)
      parent= parent.folders.last
    end
  end
end

end


#
#
#############################################################
#
#
#############################################################

