#!/usr/bin/env ruby
#
#############################################################
#
# author:  mathias gumz
# date  :  Fr 31 Okt 2003 11:14:39 CET
# file  :  opera
# about :
#
#############################################################
#
# rbookmark-import filter 
#

module RBookmarkImport

def import(input, parent)
  isfolder= true
  folder= nil
  input.readlines.each do |line|
    case line
    when /^\#URL/
      parent.uris << Uri.new
      isfolder= false
    when /^.*URL=(.*)/
      parent.uris.last.href= $1
    when /^\#FOLDER/
      folder= Folder.new("", parent, parent.level + 1)
      parent.folders << folder
      parent= folder
      isfolder= true
    when /^-/
      parent= parent.parent
    when /^.*NAME=(.*)/
      if ( isfolder ) then
        folder.name= $1
      else
        parent.uris.last.last.desc= $1
      end
    end
  end
end

end

#
#
#############################################################
#
#
#############################################################

